import React from "react";
import { CgCloseO } from "react-icons/cg";

const CompletedTodos = ({ todos, completeTodo, removeTodo, lengthCheck }) => {
    return todos.map((todo) => (
        <>
            {todo.status === true ? (
                <div className="task-body-content">
                    <div style={{ display: 'flex' }}>
                        <div style={{ margin: '2px 4px 0px 0px', lineHeight: '1px' }}>
                            <input type='checkbox'
                                key={todo.id}
                                checked={todo.status}
                                onClick={() => completeTodo(todo.id)}
                            ></input>
                        </div>
                        <div className={`todo ${todo.status ? 't-complete' : ''}`} onClick={() => lengthCheck()}>{todo.text}</div>
                    </div>
                    <div>
                        <CgCloseO onClick={() => removeTodo(todo.id)} style={{ fontSize: '18px', cursor: 'pointer', color: '#ccc' }} />
                    </div>
                </div>
            ) : ''}
        </>
    ));
};

export default CompletedTodos;
