import React, { useState } from 'react';

function TodoForm() {

  const [input, setInput] = useState('');
  const [todos, setTodos] = useState([]);

  const onChange = (e) => {
    setInput(e.target.value);
  };

  const addTodo = (todo) => {
    if (!todo.text || /^\s*$/.test(todo.text)) {
      alert('Please add a Todo')
      return;
    }
    const newTodos = [todo, ...todos];
    setTodos(newTodos);
    console.log('newTodos =>', newTodos);
  };

  const Submit = (e) => {
    e.preventDefault();
    addTodo({
      id: Math.floor(Math.random() * 10000),
      text: input,
      isEdit: false,
      isComplete: false
    });
    setInput('');
  };

  return (
    <form onSubmit={Submit}>
      <div className='add-form'>
        <div className='form-control'>
          <input
            placeholder='Enter Item'
            value={input}
            onChange={onChange}
          />
        </div>
        <button className='btn'>Submit</button>
      </div>
    </form>
  );
}

export default TodoForm;
