import React from 'react'

const TodoItem = ({ id, children, edit, complete, onEdit, onComplete, onClick }) => {

  const className = `${complete ? 't-complete' : ''}`
  const padding = `task-body-content ${!edit ? 'custom-padding' : ''}`

  return (
    <div className="task">
      <div className={padding}>
        {!edit ? (
          <div style={{ display: 'flex' }}>
            <input type='checkbox' style={{ marginRight: '6px' }} checked={complete} onChange={(e) => onComplete(id, e.target.checked)}></input>
            <span style={{ cursor: 'pointer' }} className={className} onClick={() => onClick(id, children)}>{children}</span>
          </div>
        ) :
          <form onSubmit={(e) => onEdit(id, e.target.editInput.value)}>
            <div className='add-form'>
              <div className='form-control'>
                <input type='input' defaultValue={children} name='editInput' />
              </div>
              <button type='submit' className='btn'>Save</button>
            </div>
          </form>
        }
      </div>
    </div>
  )
}

export default TodoItem

